[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

libc6_2.0.7u-3/Gimp install problems



Hi All,

I've upgraded Debian 1.3.1r6 to 2.0 + some Slink libs.
I've upgraded using dpkg instead of dselect.
Trying to upgrade to libc6_2.0.7u-3 I get the following error;

Usage: init 0123456SsQqAaBbCc
dpkg: error processing libc6 (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 libc6

libc6_2.0.7u-2 installed ok. Is this a packaging problem or am I
missing a supporting package?

What brought this upgrade on is I've loaded SANE_0.74, added a UMAX
1220S scanner, and GIMP_1.0.2, Freefonts, Sharefonts.
Have not yet recompiled with big buffers.
Have patched SANE with Oliver's SANE-UMAX-0.74d patch.

Starting GIMP I get a blank opening startup window with the following
error message;


** ERROR **: BadMatch (invalid parameter attributes)
  serial 263 error_code 8 request_code 1 minor_code 0

g_error: recursed!
g_error: recursed!
g_error: recursed!
g_error: recursed!
g_error: recursed!
Xlib: sequence lost (0x10000 > 0x11f) in reply type 0x3!
Xlib: sequence lost (0x1000b > 0x11f) in reply type 0x6!
Xlib: sequence lost (0x10008 > 0x11f) in reply type 0x1!

^C produces "gimp terminated: sigint caught"

libgtk1_1.1.x was installed & removed
libgtk1_1.0.6 is installed - ldconfig run.

ldd shows;

	libgtk.so.1 => /usr/local/lib/libgtk.so.1 (0x40010000)
	libgdk.so.1 => /usr/local/lib/libgdk.so.1 (0x400b8000)
	libglib.so.1 => /usr/local/lib/libglib.so.1 (0x400d7000)
	libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x400e3000)
	libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x400ef000)
	libm.so.6 => /lib/libm.so.6 (0x40194000)
	libc.so.6 => /lib/libc.so.6 (0x401ac000)
	/lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)

All libs exist and are simlinks to proper libs.

.gimp/gimprc sets the 8 bit colormap.

Installing the source from gimp.org and compiling produces the same errors.
(Gimp & libgtk)

I'm using an old Matrox MGA Ultima/PCI 2meg graphics card with the
AcceleratedX 4.2 Xserver. (until the Matrox G200/PCI Millenium 16meg is
available next month)

I've read all the docs I can find & checked archives of debian.org, gimp.org,
and mostang.com, printed all 550 pages of GUM - I'm lost here, any pointers
would be great.

I suspect I'm missing a nessesary lib. Any ideas?

Thanks!
Mike

P.S. An early gimp package worked fine, I think it was 0.74???

+--------------------------------------------------+
| Mike Nachlinger  (408) 446-9914  mnach@apres.org |
| Apres Ski Club   1-888-APRESGO   www.apres.org   |
+--------------------------------------------------+




Reply to: